Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mri.v3ds
Class Camera3ds

    java.lang.Object
      mri.v3ds.Camera3ds

    public class Camera3ds

extends java.lang.Object

Camera object in a 3D vector animation.
The Camera3ds class contains the following data that is read from the 3D-editor part of the 3ds-file:
- Camera name
- Fixed camera position
- Fixed camera target position
- Fixed roll angle
- Fixed lens
- Distance to near- and far-plane
The following data is from the keyframer:
- Target node id in the object hierarchy
- Target parent node id in the object hierarchy
- Target node flags
- Position node id in the object hierarchy
- Position parent node id in the object hierarchy
- Position node flags
- Position spline track
- Target spline track
- FOV spline track
- Roll spline track
The "fixed" parameters that are loaded from the 3D-editor part of the 3ds-file are not needed during an animation as the keyframer data provides the same information, in the corresponding tracks.

Constructor Summary
`Camera3ds()`

Method Summary
`float` | `farPlane()` Get distance to camera far-plane.
`float` | `fixedLens()` Get fixed camera lens.
`Vertex3ds` | `fixedPosition()` Get fixed camera position.
`float` | `fixedRoll()` Get fixed camera roll angle in degrees.
`Vertex3ds` | `fixedTarget()` Get fixed camera target.
`PTrack3ds` | `fov()` Access FOV spline track.
`java.lang.String` | `name()` Get camera name.
`float` | `nearPlane()` Get distance to camera near-plane.
`XYZTrack3ds` | `position()` Access position spline track.
`int` | `positionNodeFlags()` Get position node flags.
`int` | `positionNodeId()` Get position node id.
`int` | `positionParentNodeId()` Get position parent node id.
`PTrack3ds` | `roll()` Access roll spline track.
`XYZTrack3ds` | `target()` Access target spline track.
`int` | `targetNodeFlags()` Get target node flags.
`int` | `targetNodeId()` Get target node id.
`int` | `targetParentNodeId()` Get target parent node id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Camera3ds

    public Camera3ds()

Method Detail

### name

    public java.lang.String name()

  Get camera name.

  Returns:
    name of camera

### fixedPosition

    public Vertex3ds fixedPosition()

  Get fixed camera position.

  Returns:
    fixed position of camera

### fixedTarget

    public Vertex3ds fixedTarget()

  Get fixed camera target.

  Returns:
    fixed target of camera

### fixedRoll

    public float fixedRoll()

  Get fixed camera roll angle in degrees.

  Returns:
    fixed roll angle of camera

### fixedLens

    public float fixedLens()

  Get fixed camera lens.

  Returns:
    fixed camera lens

### nearPlane

    public float nearPlane()

  Get distance to camera near-plane.

  Returns:
    distance to camera near-plane

### farPlane

    public float farPlane()

  Get distance to camera far-plane.

  Returns:
    distance to camera far-plane

### targetNodeId

    public int targetNodeId()

  Get target node id.

  Returns:
    target node id

### targetParentNodeId

    public int targetParentNodeId()

  Get target parent node id.

  Returns:
    target parent node id

### targetNodeFlags

    public int targetNodeFlags()

  Get target node flags.

  Returns:
    target node flags

### positionNodeId

    public int positionNodeId()

  Get position node id.

  Returns:
    position node id

### positionParentNodeId

    public int positionParentNodeId()

  Get position parent node id.

  Returns:
    position parent node id

### positionNodeFlags

    public int positionNodeFlags()

  Get position node flags.

  Returns:
    position node flags

### position

    public XYZTrack3ds position()

  Access position spline track.

  Returns:
    position spline track

### target

    public XYZTrack3ds target()

  Access target spline track.

  Returns:
    target spline track

### fov

    public PTrack3ds fov()

  Access FOV spline track.

  Returns:
    FOV spline track

### roll

    public PTrack3ds roll()

  Access roll spline track.

  Returns:
    roll spline track

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD